Download it now!
Bug 77739 - UI Trendline: Degree and Period values should be limited by the number of points
Summary: UI Trendline: Degree and Period values should be limited by the number of points
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other All
: medium enhancement
Assignee: Laurent BP
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-21 20:15 UTC by Laurent BP
Modified: 2014-05-07 03:11 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2014-04-21 20:15:46 UTC
In UI trendline, Degree (for Polynomial trendline) and Period (for moving average trendline) are limited to arbitrary values (respectively 10 and 100). The upper value should be calculated according to the number of points.

max Degree = Nb of points - 1 (+ 1 if intercept is forced)
max Period = Nb of points - 1
Comment 1 Commit Notification 2014-05-06 20:05:01 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5707c81218c3212bd2e62c274f3169cd0d6cbba2

fdo#77739 UI trendline: limit max values of Degree and Period



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Adolfo Jayme 2014-05-07 03:11:59 UTC
Assuming the above commit is all that’s needed, closing.